org.apache.solr.highlight

## Class ScoreOrderFragmentsBuilder

- java.lang.Object
- - org.apache.solr.highlight.HighlightingPluginBase
  - - org.apache.solr.highlight.SolrFragmentsBuilder
    - - org.apache.solr.highlight.ScoreOrderFragmentsBuilder

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin

      public class ScoreOrderFragmentsBuilder
      extends SolrFragmentsBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.highlight.SolrFragmentsBuilder

      `DEFAULT_POST_TAGS, DEFAULT_PRE_TAGS`

    - ### Fields inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `defaults, numRequests`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreOrderFragmentsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `protected FragmentsBuilder` | `getFragmentsBuilder(SolrParams params, String[] preTags, String[] postTags, BoundaryScanner bs)`

    - ### Methods inherited from class org.apache.solr.highlight.SolrFragmentsBuilder

      `getFragmentsBuilder, getMultiValuedSeparatorChar, getPostTags, getPreTags`

    - ### Methods inherited from class org.apache.solr.highlight.HighlightingPluginBase

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.core.SolrInfoMBean

      `getCategory, getDocs, getName, getSource, getStatistics, getVersion`

    - ### Methods inherited from interface org.apache.solr.util.plugin.NamedListInitializedPlugin

      `init`

- - ### Constructor Detail

    - #### ScoreOrderFragmentsBuilder

          public ScoreOrderFragmentsBuilder()

  - ### Method Detail

    - #### getFragmentsBuilder

          protected FragmentsBuilder getFragmentsBuilder(SolrParams params,
                                                         String[] preTags,
                                                         String[] postTags,
                                                         BoundaryScanner bs)

      Specified by:
        `getFragmentsBuilder` in class `SolrFragmentsBuilder`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `HighlightingPluginBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.